apiVersion: v1
kind: ConfigMap
metadata:
  name: argocd-cm
data:
  url: https://argo.devops.libertyprime.xyz
  repositories: |-
    - name: root-repository
      passwordSecret:
        key: password
        name: argocd-root-repo-secret
      url: https://gitlab.com/brendan.callahan/k8s-demo-mk-2.git
      usernameSecret:
        key: username
        name: argocd-root-repo-secret
  oidc.config: |
    name: dsa
    issuer: https://auth.libertyprime.xyz/auth/realms/dsa
    clientID: argocd
    clientSecret: $oidc.keycloak.clientSecret
    requestedScopes: ["openid", "profile", "email", "groups"]
